Summary: An execution wrapper for non-X Window System applications.
Name: OffiX-Execute
Version: 2.4a
Release: 11
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Execute-2.4a.tar.gz
Source1: offix-execute.desktop
Patch: Execute-2.4a-Xaw3d-patch
BuildRoot: %{_tmppath}/OffiX-Execute-build
Group: Applications/Productivity

%description
OffiX-Execute is a general purpose wrapper for non-X applications.
OffiX-Execute redirects the stdout/stderr of your applications
to an X Window (without using using the OffiX drag and drop protocol).
Within the X Window, you are allowed to abort the running program, quit
completely or restart the application.

%prep
%setup -q -n Execute-2.4a
%patch -p1

%build
%configure --with-dnd-inc=%{_includedir}/OffiX \
	--with-dnd-lib=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults
install -c -m 644 Execute.ad $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/Execute

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/
install -m 644  $RPM_SOURCE_DIR/offix-execute.desktop \
	$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/ 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
%{_bindir}/*
%config %{_prefix}/X11R6/lib/X11/app-defaults/Execute
%{_sysconfdir}/X11/applnk/Applications/offix-execute.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Fri Jun 25 1999 Tim Powers <timp@redhat.com>
- removed exlcusivearch for x86 and alpha, builds and executes on
  sparc fine now
- updated spec file

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- added applnk

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2
- cleaned up spec file

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated spec file and inspected source

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and cleaned it up
